package Lento::ClientDB;
use strict;
use Tie::RefHash;
use Lento::Debuggable;

@Lento::ClientDB::ISA = qw(Lento::Debuggable);
$Lento::ClientDB::level = -1000;

sub new {
    my $class = shift;
    my $self = {};
    $self->{clients_by_id} = {};
    LOG ">>>>> Creating ClientDB\n";
    LOG "<<<<< Creating ClientDB\n";

    bless $self, $class;
}


sub add {
    my $self = shift;
    my $client = shift || die;
    my $id = $client->{sysid};
    LOG ">>     Adding client $id to ClientDB\n";
    $self->{clients_by_id}->{$id} = $client if $id;
}

sub find_by_sysid {
    my $self = shift;
    my $sysid = shift;

    return $self->{clients_by_id}->{$sysid};
}

1;
