package SetFS;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(setfsuid setfsgid);

$VERSION = '0.11';

bootstrap SetFS $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

SetFS - Perl extension providing setfsuid and setfsgid.

=head1 SYNOPSIS

  use SetFS;


  setfsuid( $fsuid ); 
  setfsgid( $fsgid ); 


=head1 DESCRIPTION

Functions used to set the user ID and the group ID used by the kernel
for all accesses to the file system.

=head1 AUTHOR

Rob Simmonds <simmonds@stelias.com>

=head1 SEE ALSO

perl(1), setfsuid(2), setfsgid(2).

=cut
